cURL
curl -X GET 'https://api.telegent.com/v1.0/voice/routes?CallRouteID=CRID-509de94f-79cc-429b-a317-2102654dabbb' \
-H 'Authorization: Bearer YOUR_TOKEN'import requests
url = "https://api.telegent.com/v1.0/voice/routes"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.telegent.com/v1.0/voice/routes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"CallRouteId": "CRID-509de94f-79cc-429b-a317-2102654dabbb",
"AccountId": "AID-ab12345-2725-45a1-bd5e-526ed19799xx",
"RouteName": "Main SIP Trunk",
"RouteType": "Trunk",
"VoiceUrl": "https://domain.com",
"VoiceUrlMethod": "GET",
"TrunkIp1": "20.87.87.87",
"TrunkIp2": "20.87.87.86",
"TrunkPort1": "5061",
"TrunkPort2": "5060",
"TrunkTransport1": "UDP",
"TrunkTransport2": "TCP",
"TrunkUri1": "https://pstn.joonto.com",
"TrunkUri2": "https://pstn2.joonto.com",
"TrunkEnabled1": true,
"TrunkEnabled2": false,
"Trunk1Priortiy": 10,
"Trunk1Weight": 10,
"Trunk2Priortiy": 20,
"Trunk2Weight": 20,
"HeaderManipulation": "HMI8802029",
"EnableSipRefer": true,
"TransferCallerId": "Transferee/Transferor",
"SymmetricRtp": true,
"EnableTrpSecureTrunk": true,
"EnablePstnTransfer": true,
"CnamLookup": true,
"TerminationUriSubdomain": "client",
"EnableCallStreaming": true,
"WssUri": "wss://192.67.88.2",
"IpWhiteList": []
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}Voice
Get Voice Route Details
Retrieve detailed configuration for a specific voice route using its CRID. Returns SIP trunk configuration, forwarding rules, IVR settings, workgroup assignments, and schedule information.
What this does: Returns the full route configuration including route type, SIP trunk settings, webhook URLs, authentication, and workgroup associations. Use this to confirm route settings or retrieve the CRID- for use in provisioning.
Next steps:
- Update route —
POST /v1.0/voice/routes/update - Provision a number using this route —
POST /v1.0/numbers/provision
GET
/
v1.0
/
voice
/
routes
cURL
curl -X GET 'https://api.telegent.com/v1.0/voice/routes?CallRouteID=CRID-509de94f-79cc-429b-a317-2102654dabbb' \
-H 'Authorization: Bearer YOUR_TOKEN'import requests
url = "https://api.telegent.com/v1.0/voice/routes"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.telegent.com/v1.0/voice/routes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"CallRouteId": "CRID-509de94f-79cc-429b-a317-2102654dabbb",
"AccountId": "AID-ab12345-2725-45a1-bd5e-526ed19799xx",
"RouteName": "Main SIP Trunk",
"RouteType": "Trunk",
"VoiceUrl": "https://domain.com",
"VoiceUrlMethod": "GET",
"TrunkIp1": "20.87.87.87",
"TrunkIp2": "20.87.87.86",
"TrunkPort1": "5061",
"TrunkPort2": "5060",
"TrunkTransport1": "UDP",
"TrunkTransport2": "TCP",
"TrunkUri1": "https://pstn.joonto.com",
"TrunkUri2": "https://pstn2.joonto.com",
"TrunkEnabled1": true,
"TrunkEnabled2": false,
"Trunk1Priortiy": 10,
"Trunk1Weight": 10,
"Trunk2Priortiy": 20,
"Trunk2Weight": 20,
"HeaderManipulation": "HMI8802029",
"EnableSipRefer": true,
"TransferCallerId": "Transferee/Transferor",
"SymmetricRtp": true,
"EnableTrpSecureTrunk": true,
"EnablePstnTransfer": true,
"CnamLookup": true,
"TerminationUriSubdomain": "client",
"EnableCallStreaming": true,
"WssUri": "wss://192.67.88.2",
"IpWhiteList": []
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}Query Parameters
The unique voice route ID (e.g., CRID-xxxxx)
Response
Voice Route Details
The response is of type object.
⌘I